Imports System.IO

Public Class frmBenchmarkWatch

    Private Src1 As String, Src2 As String

    Private Sub Form_Load(ByVal sender As Object, ByVal e As EventArgs) _
            Handles MyBase.Load

        Dim DirUp As String = ".." & Path.DirectorySeparatorChar
        Src1 = String.Concat(DirUp, DirUp, "frmBenchmarkWatch.vb")
        Src1 = Path.GetFullPath(Src1)
        Src2 = Application.ExecutablePath
        lbWhatsTested.Text = String.Concat("vergleiche Einlesen der Datei:", _
            Lf, Src1, Lf, "mit Einlesen von:", Lf, Src2)
    End Sub

    Private Sub btTest_Click(ByVal sender As Object, ByVal e As EventArgs) _
            Handles btTest.Click

        ' Teste die Einlese-Geschwindigkeit zweier verschiedener Files
        Dim Buf(&HFF) As Byte
        While BenchmarkTimer.Runs(1000, "load Src1")
            Using FS As New FileStream(Src1, FileMode.Open, FileAccess.Read)
                Do
                    FS.Read(Buf, 0, Buf.Length)
                Loop Until FS.Position = FS.Length
            End Using
        End While
        While BenchmarkTimer.Runs(1000, "load Src2")
            Using FS As New FileStream(Src2, FileMode.Open, FileAccess.Read)
                Do
                    FS.Read(Buf, 0, Buf.Length)
                Loop Until FS.Position = FS.Length
            End Using
        End While
    End Sub

    Private Sub btTestEmpty_Click(ByVal sender As Object, _
            ByVal e As EventArgs) Handles btTestEmpty.Click

        While BenchmarkTimer.Runs(1000, "EmptyTest")
            ' Je grer der Unterschied zwischen Leertest und Echt-Test-
            '  Ergebnissen, desto mehr Aussagekraft haben Letztere
        End While
    End Sub

End Class
